# $Revision: 1.14 $, $Date: 2006/05/31 12:55:02 $
%define		ocaml_ver	1:3.09.2
Summary:	Thread-safe Str replacement
Summary(pl):	Wielowtkowy zastpca moduu Str
Name:		ocaml-xstr
Version:	0.2.1
Release:	8
License:	BSD
Group:		Libraries
URL:		http://www.ocaml-programming.de/packages/
Source0:	http://www.ocaml-programming.de/packages/xstr-%{version}.tar.gz
# Source0-md5:	81598c438d6ab5c5d544ea7cc6ed8a34
BuildRequires:	ocaml >= %{ocaml_ver}
BuildRequires:	ocaml-findlib
%requires_eq	ocaml-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package implements frequent string operations: searching,
replacing, splitting, matching. It is independent from the Str
library, and can replace Str in many cases. Unlike Str, xstr is
thread-safe. xstr does not implement regular expressions in general,
but an important subset.

%description -l pl
Pakiet ten implementuje czste operacje na acuchach znakw:
szukanie, zamian, dzielenie i dopasowywanie wzorca. Jest niezaleny
od biblioteki Str, i moe j w wielu wypadkach zastpi. W
przeciwiestwie do Str mona go uywa w programach wielowtkowych.
Xstr nie implementuje wyrae regularnych w caoci, tylko pewien
wany podzbir.

%package devel
Summary:	Thread-safe Str replacement - development part
Summary(pl):	Wielowtkowy zastpca moduu Str - cze programistyczna
Group:		Development/Libraries
%requires_eq	ocaml

%description devel
This package implements frequent string operations: searching,
replacing, splitting, matching. It is independent from the Str
library, and can replace Str in many cases. Unlike Str, xstr is
thread-safe. xstr does not implement regular expressions in general,
but an important subset.

This package contains files needed to develop OCaml programs using
this library.

%description devel -l pl
Pakiet ten implementuje czste operacje na acuchach znakw:
szukanie, zamian, dzielenie i dopasowywanie wzorca. Jest niezaleny
od biblioteki Str, i moe j w wielu wypadkach zastpi. W
przeciwiestwie do Str mona go uywa w programach wielowtkowych.
Xstr nie implementuje wyrae regularnych w caoci, tylko pewien
wany podzbir.

Pakiet ten zawiera pliki niezbdne do tworzenia programw uywajcych
tej biblioteki.

%prep
%setup -q -n xstr

%build
sed -e 's/-g//; s/\*.cmxa/& \*.cmx/' Makefile > Makefile.tmp
mv -f Makefile.tmp Makefile
%{__make} all opt

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/xstr
OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml %{__make} install
echo 'directory = "+xstr"' >> $RPM_BUILD_ROOT%{_libdir}/ocaml/xstr/META
mv -f $RPM_BUILD_ROOT%{_libdir}/ocaml/xstr/META \
	$RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/xstr/META

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(644,root,root,755)
%doc LICENSE README *.mli
%{_libdir}/ocaml/xstr/*.cm[ixa]*
%{_libdir}/ocaml/xstr/*.a
%{_libdir}/ocaml/site-lib/xstr

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ocaml-xstr.spec,v $
Revision 1.14  2006/05/31 12:55:02  glen
- rel 8 (rebuild with ocaml-3.09.2)

Revision 1.13  2006/04/16 10:20:54  glen
- ocaml epoch is 1

Revision 1.12  2006/04/15 22:11:00  glen
- ocaml 3.09.1

Revision 1.11  2005/12/10 18:50:21  baggins
- release 5 for ocaml 3.09.0

Revision 1.10  2005/10/11 20:25:55  paszczus
- release up to rebuild with new ocaml

Revision 1.9  2005/05/21 17:28:15  ankry
- rel. 3

Revision 1.8  2004/09/02 14:36:06  snurf
- typos / formatting / etc.

Revision 1.7  2004/08/27 23:36:00  havner
- [mass commit], rel up for rebuild with ocaml

Revision 1.6  2003/09/03 21:20:13  malekith
- version 0.2.1, (ocaml 3.07)

Revision 1.5  2003/05/28 13:00:01  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 05:51:18  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2002/11/27 22:06:25  juandon
- new %%doc

Revision 1.2  2002/05/13 14:05:12  malekith
- copied description from -devel where there was "No main package."

Revision 1.1  2002/05/13 11:41:51  malekith
- inital; from scratch


